

import React from 'react'
import LayoutModal from '../../Layout/Dashboard/LayoutModal'
import FormCertificate from './FormCertificate'
import { useAddCertificate } from '../../api/certificate'
import { getDataToSend, getInitialValues, getValidationSchema } from './formUtil'
import { QueryStatusEnum } from '../../config/QueryStatus'
import { useTranslation } from 'react-i18next'

function AddCertificateModal() {


  const [t] = useTranslation()
  const {mutate , status} = useAddCertificate()
  const handelSubmit = (values:any )=>{

    const dataToSend = getDataToSend(values)

    mutate(dataToSend)
    // Submit Value
  }
  return (
    <LayoutModal
    
     isAddModal={true}
     getInitialValues={getInitialValues()} 
     handleSubmit={handelSubmit} 
     status={status as QueryStatusEnum}
     headerText={t('Add') +t('certificate')}
     
     getValidationSchema={getValidationSchema()}>

    <FormCertificate />
  </LayoutModal>
  )
}

export default AddCertificateModal

